<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): File I/O</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">File I/O</div>  </div>
</div><!--header-->
<div class="contents">

<p>Simple interface function for handling graph file I/O.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga07b37b5c84ed6aa573ff6ed56bcb0c5c"><td class="memTemplParams" colspan="2">template&lt;typename VertexClass &gt; </td></tr>
<tr class="memitem:ga07b37b5c84ed6aa573ff6ed56bcb0c5c"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__file__io.html#ga07b37b5c84ed6aa573ff6ed56bcb0c5c">TIGLRwReadAdjList</a> (vector&lt; VertexClass &gt; &amp;verticesList, char *fileName)</td></tr>
<tr class="memdesc:ga07b37b5c84ed6aa573ff6ed56bcb0c5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the adjacency list of vertices from a file.  <a href="#ga07b37b5c84ed6aa573ff6ed56bcb0c5c">More...</a><br /></td></tr>
<tr class="separator:ga07b37b5c84ed6aa573ff6ed56bcb0c5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5aff27296c7564e2b7374726a172e5ec"><td class="memTemplParams" colspan="2"><a class="anchor" id="ga5aff27296c7564e2b7374726a172e5ec"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:ga5aff27296c7564e2b7374726a172e5ec"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__file__io.html#ga5aff27296c7564e2b7374726a172e5ec">TIGLRwReadDataFile</a> (vector&lt; T &gt; &amp;data, char *fileName)</td></tr>
<tr class="memdesc:ga5aff27296c7564e2b7374726a172e5ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads a text file of single column of numbers. <br /></td></tr>
<tr class="separator:ga5aff27296c7564e2b7374726a172e5ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5240081eacfeecd4ec6c90bc2e2084ff"><td class="memTemplParams" colspan="2">template&lt;typename VertexClass &gt; </td></tr>
<tr class="memitem:ga5240081eacfeecd4ec6c90bc2e2084ff"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__file__io.html#ga5240081eacfeecd4ec6c90bc2e2084ff">TIGLRwWriteAdjList</a> (vector&lt; VertexClass &gt; &amp;verticesList, char *fileName)</td></tr>
<tr class="memdesc:ga5240081eacfeecd4ec6c90bc2e2084ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes the adjacency list of vertices (of unweighted graph) to a file.  <a href="#ga5240081eacfeecd4ec6c90bc2e2084ff">More...</a><br /></td></tr>
<tr class="separator:ga5240081eacfeecd4ec6c90bc2e2084ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga20702e531f08fcf6683851e4b428ddf4"><td class="memTemplParams" colspan="2">template&lt;typename VertexClass &gt; </td></tr>
<tr class="memitem:ga20702e531f08fcf6683851e4b428ddf4"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__file__io.html#ga20702e531f08fcf6683851e4b428ddf4">WriteAdjListWeighted</a> (vector&lt; VertexClass &gt; &amp;verticesList, char *fileName)</td></tr>
<tr class="memdesc:ga20702e531f08fcf6683851e4b428ddf4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes the adjacency list of vertices of a weighted graph to a file.  <a href="#ga20702e531f08fcf6683851e4b428ddf4">More...</a><br /></td></tr>
<tr class="separator:ga20702e531f08fcf6683851e4b428ddf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaafd49a5683c87dfc358d56493cf14d62"><td class="memTemplParams" colspan="2"><a class="anchor" id="gaafd49a5683c87dfc358d56493cf14d62"></a>
template&lt;typename CVertex &gt; </td></tr>
<tr class="memitem:gaafd49a5683c87dfc358d56493cf14d62"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__file__io.html#gaafd49a5683c87dfc358d56493cf14d62">TIGLRwWriteAlgData</a> (char *fileName, vector&lt; <a class="el" href="classTIGLContainersVertexBase.html">CVertex</a> &gt; &amp;vec)</td></tr>
<tr class="memdesc:gaafd49a5683c87dfc358d56493cf14d62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Contains a profiling function for writing algorithm output. <br /></td></tr>
<tr class="separator:gaafd49a5683c87dfc358d56493cf14d62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Simple interface function for handling graph file I/O. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga07b37b5c84ed6aa573ff6ed56bcb0c5c"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename VertexClass &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool TIGLRwReadAdjList </td>
          <td>(</td>
          <td class="paramtype">vector&lt; VertexClass &gt; &amp;&#160;</td>
          <td class="paramname"><em>verticesList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>fileName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reads the adjacency list of vertices from a file. </p>
<p>The file format is (for each line): vertex_id: child1_id, child2_id ...</p>
<p>The number of vertices is limited to the maximum size of long int </p>

</div>
</div>
<a class="anchor" id="ga5240081eacfeecd4ec6c90bc2e2084ff"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename VertexClass &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool TIGLRwWriteAdjList </td>
          <td>(</td>
          <td class="paramtype">vector&lt; VertexClass &gt; &amp;&#160;</td>
          <td class="paramname"><em>verticesList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>fileName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Writes the adjacency list of vertices (of unweighted graph) to a file. </p>
<p>The file format is (for each line): vertex_id: child1_id, child2_id ...</p>
<p>The number of vertices is limited to the maximum size of long int </p>

</div>
</div>
<a class="anchor" id="ga20702e531f08fcf6683851e4b428ddf4"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename VertexClass &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool WriteAdjListWeighted </td>
          <td>(</td>
          <td class="paramtype">vector&lt; VertexClass &gt; &amp;&#160;</td>
          <td class="paramname"><em>verticesList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>fileName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Writes the adjacency list of vertices of a weighted graph to a file. </p>
<p>The file format is (for each line): vertex_id: (child1_id, edge1_weight), (child2_id,edge2_weight), ...</p>
<p>The number of vertices is limited to the maximum size of long int </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:52 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
